using CalledIt.Domain.Dtos;
using FluentValidation;

namespace CalledIt.Domain.Validators;

public class CreateGroupDtoValidator : AbstractValidator<CreateGroupDto>
{
    public CreateGroupDtoValidator()
    {
        RuleFor(x => x.Name).NotEmpty().MaximumLength(50);
        RuleFor(x => x.CompetitionId).GreaterThan(0);
    }
}
